WelCome

DBViewer Plus
Cellica Software Services
http://www.cellica.com


Introduction

  • Introduction

Think of the case when your desktop database changes frequently and you want to view it on your handheld when you are away. Or you have some data on your handheld and want to transfer it in desktop database. You need a database program on handheld and also need to update your desktop data on handheld frequently. Welcome to Database Viewer Plus. It will help you to view/modify and keep desktop database contents synchronized with your handheld. It allows you to synchronize databases like MS Access, FoxPro, dBase, Excel and any ODBC Compliant Database like Oracle, SQL Server on handheld. It follows very simple approach. What we did is: we provided you two programs. One works on desktop computer having Microsoft windows and other on handheld device. You just have to use the desktop side program (DBViewerPlus.exe) to create desktop database profile. Handheld side program (DBViewerPlus.prc) will show you desktop database contents (after synchronization) and will keep it always updated with desktop (depending upon profile configuration). It will allow you to add/remove/modify handheld contents and reflect them in desktop database. It also allows you to one time transfer of your desktop database contents on handheld device.

  • Features

Database Viewer Plus has features, which helps you to become mobile with your database. Besides keeping your desktop database synchronized with palm, you can view/modify the records of your database tables in grid of rows and columns or one at time. You can even customize the display of date and time in more than 5 different formats. You can export database records to standard Palm OS Memo Pad application. And, The most important improvement in Database Viewer Plus is: Now you can apply queries on database to filter contents. You can write any SQL Select query to create database profile that may include table joining, filtering, sorting, grouping etc.
  1. Supported Databases: MS Access, MS Excel, Oracle, SQL Server, MS FoxPro, MS dBase, and Any ODBC Compliant Database.
  2. Keep desktop database synchronized with handheld.
  3. Modify database contents on handheld and reflect them to desktop.
  4. Apply Filters, Sort orders.
  5. Apply any SQL Select queries on database to purify records.
  6. Export database records to Memo Pad with or with out field names.
  7. View database tables: all at a time or record at a time.
  8. Customize the display of date and time fields.
  9. Search for keywords within a database profile.


Desktop DBViewerPlus

  • Startup

Run DBViewerPlus from your desktop or from Start->Programs->DBViewerPlus->DBViewerPlus, you will see following screen.

Fig. 1 DBViewerPlus

  • DBViewerPlus Menu

  • Fig. 1.1 DBViewerPlus Menu

  • Creating New Profile

Right click in Left Pane or from Profile menu, click New.

Fig. 2 New Profile Creation

  • Profile Type Selection

After selecting New Profile, you will be prompted to New Profile Wizard as shown below.

Fig. 3. Profile Type and Database Selection

From above screen select either select "Desktop to Handheld" or "Handheld to Desktop" profile type. DBViewerPlus supports only these two types of sync profile.

  • Desktop to Handheld

Select this profile type when you want to transfer your desktop database contents on handheld device after syncing. Every time, when sync take place, this profile will overwrite handheld contents from desktop, regardless of handheld contents.

  • Handheld to Desktop

Select this profile type to transfer your handheld contents on to desktop database. First time, desktop database contents will be transferred on to handheld and then after, for every syncing, handheld contents will be transferred in desktop database.

If you modify table/query of this profile, then desktop database contents will be transferred on handheld, even though profile is set to transfer "Handheld To Desktop". It will overwrite handheld contents.

Please select only such desktop database which do not have any constraints/validations defined in it, as it may create problems while transferring handheld contents.
Although, you can select such database, but you may lose some of your desktop contents depending on database constraints. Select this profile type on your own risk.

If you find that, after syncing you have not retained all database contents, use backup restore feature to restore your desktop database contents. DBViewerPlus takes backup of desktop database before transferring handheld contents into it.

  • Database Selection

From above figure, Fig. 3, either select "File Based Database", or "ODBC Database".

  • File Based Database

File based database allows you to select database like MS Access (mdb), Excel file (xls), FoxPro/dbase (dbf) files.
Click on browse button and browse to the location where you database file is situated and select one.

  • ODBC Database

Databases compatible to ODBC can be selected using DSNs. Select a DSN from available DSNs of your machine. You can manage these DSNs by clicking on "Config" button.

While selecting database, you may be prompted to enter security authentication like User Name and Password.

  • Table Selection/Query Building

After completing database selection, you will be prompted to "Build Query" dialog, where you need to select a table from selected database. You will see screen like below:

Fig. 4. Build Query Dialog

Select a table, select/deselect required fields to be included in handheld database profile. Result of these table/field selection is shown in terms of SQL Select query to you. You can directly edit this SQL Select query to result as you want. You can enter any valid SQL select query which may include table joining, filtering, sorting etc. Click on "Preview" button to obtain content preview which are going to be included in profile.
To manually apply filters and sort orders click on "Filters" and "Sort Order" buttons.

  • Applying Filters

In above figure, Fig. 4, click on "Filters" button, you will see following filter dialog:

Here, you can apply as many filters as you want. Initially, one filter is shown, by default. Click on "Add" button to have more filters. Select check marks to those filters you want, select field from "Available Fields" popup, select operator from "Filter Operator" popup and click on "Filter Value" edit box and enter value which you want as a filter condition value.

Remember, filter values must be proper as per data type of selected fields.

If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #

Here are some examples of filters.

name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions values may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

  • Applying Sort Orders

In Fig. 4, click on "Sort Order" button, you will see following sort order dialog:

Select check mark for those you want to apply sort order. Select sort order as "Ascending" or "Descending", select field from "Available Fields" popup. To add more filters, simply click on "Add" button

  • Sync Information

After table selection, filters & sort orders, you will come to last step of Profile creation, "Sync Information"

Modify profile name. Select proper handheld user for which you want to create database profile. Finally select sync occasion "Sync On"

By default, Database Viewer Plus will synchronize your desktop database with handheld at every sync/connection operation.
But, you can override this setting. Select the occasion of sync from Sync On popup and set time, Date/Day of syncing as per your selection. Database Viewer Plus will synchronize desktop data with handheld on/after the given sync time. It will help you decrease unnecessary data syncing and reduce the time at sync operation. Refer "Profile Configuration" for more information on Sync on.

Click on finish to finish new profile creation. After finishing, you will get profile in left pane of DBViewerPlus. Click on profile, database content preview will be shown on right pane of DBViewerPlus window.

  • Modifying Existing Profile

  • Renaming Profile

Select a Database Profile from left pane of DBViewerPlus. Click on "Edit" from Profile menu/toolbar/right click menu. You will be prompted to enter profile name. Enter new name and select "Change" button to rename profile.

  • Rebuilding Query

Select a profile, expand it, and select "Query" property. Select edit from Profile menu or tool bar or right click on "Query" property, as shown below, and select "Rebuild...", you will get "Build Query" dialog, as that of in "Table Selection/Query Building" step.

Fig. Rebuild Query

Fig. Build Query Dialog

From above "Build Query" dialog, you can modify table, Query, Filters and "Sort Orders". Refer "Table Selection/Query Building" step.

  • Modifying Sync Properties

Select a profile from right pane of DBViewerPlus, Select "Properties" option. Right click on "Properties" and select "Change Properties" or Select "Edit" from menu/toolbar, you will see following dialog:

Here, you can change type syncing. You can switch between "Desktop to Handheld" or "Handheld or Desktop" profile type. It will change way of data transfer. Select "Do not Sync", if you want to disable profile from syncing. You can change handheld user for which profile is created. Also you can change the occasion on which sync should take place. Refer "Sync Information" step or "Profile Configuration" for more information on Sync Properties.

  • Deleting Profile

Select a profile which you want to delete, from right pane of DBViewerPlus. Right click on it, and select "Delete Profile..." or from profile menu/toolbar select "Delete". You will be confirmed about profile deletion. Deleting profile will also delete backup data taken by DBViewerPlus during syncing process.

  • Recovering Lost Data

  • Taking Backup

User need not to take explicit backup of particular database. "Desktop to Handheld" do not have risk of losing desktop data, but for "Handheld to Desktop" profile, there are chances of losing valuable desktop data. While syncing "Handheld to Desktop" profile, DBViewerPlus takes backup of desktop data before transferring handheld data into it. Backup of last four syncing is stored with DBViewerPlus. Refer "Restore Data" step for putting back this backup into original desktop database.

  • Restoring Data

Select a profile from DBViewerPlus. Right click on it and select "Restore Contents..." or from Profile menu/toolbar select "Restore Contents..". You will see dialog as of following:

In left pane of this dialog, you will see the current contents of desktop database. In right pane, you will see the backup contents. There are backup contents of last four syncing. Select appropriate backup form popup list. If you feel that you have lost some of your original data from original desktop database (left pane), select appropriate backup and click on "Restore" button. This will put backup data into original desktop database.


Handheld DBViewerPlus

  • Toolbar Usage

Home Screen Tool bar:

Record view Tool bar:

  • Startup

First "Hotsync" your palm with desktop. Now, tap DBViewerPlus icon [image] on your palm to launch it. You will see something as follows:

Fig. 1 Profile List

  • Viewing Profile Contents

  • View All Records

Tap on a profile from available list to select it. Tap on [image] Open icon. You will see profile contents something like below:

Fig. 2 Profile Contents - All at Once

  • View One Record

Tap on [image] "One Record" icon. as shown in above figure, Fig. 2 to switch to one record view. You will see the currently selected record in one record view as below. You can scroll among records using scroll button available on top right corner.

Fig. 3 Profile Contents - Single Record View

  • View Single Field

From above figure, Single Record View, select a field and tap on [image] "Detail" icon to view selected field in detail mode.

  • Export Record

In all at once record view, select a record to export, from "Record" menu, select "To MemoPad..." option, or tap on [image] "Export" icon, selected record will get exported in Palm's Memo Pad application. While exporting, it will ask you , whether to include field names or not in exported record.

Fig. 4 Export to MemoPad

  • Modifying Profile Contents

  • Editing Record

Select a record from above figure, All at once Record View or from Single Record View, tap on [image] "Modify Record" icon or from "Record" menu, select "Modify...". It will show your that record in edit mode. You can make any changes in it and close dialog to save changes.

  • Adding Record

From above figure, All at once Record View or Single Record View, tap on [image] "New Record" icon or from "Record" menu, select "New...". It will show your that record in edit mode. Here you can add record contents and close dialog to save changes.

  • Deleting Record

Select a record from above figure, All at once Record View or from Single Record View, tap on [image] "Delete Record" icon or from "Record" menu, select "Delete...". It will ask you whether to delete record or not. Click on "Yes" to delete selected record.

  • Viewing Profile Details

Fig. 5 Profile Design

From above figure, tap on [image] "Design" icon to know more about selected table. It displays name of table, total number of fields and records in it.

  • Deleting Profile

From above figure, select a profile and tap on [image] icon or from "Database" menu, select "Delete..." option to delete selected database. Delete database will not delete "Database Synchronization Profile"; you need to delete it using desktop application.

  • Customization

You can customize the way date and time fields are shown. Select "Date Display..." or "Time Display..." option form Options menu to set date or time display format respectively.

Fig. 6 Customizing Various Options

  • Default Record View
    When you open a database profile, DBViewer Plus displays all records in Grid mode "All at once" view. You can change this view to "Single Record" view or back to "All at once", so that when ever you open a database profile, it will display this view.
  • Decimal Display
    You can set the number of decimal places to be displayed in record view from "Decimal Display.." customization. From options menu select "Decimal Display.." and set the number of decimal places to display for each decimal number in record view. This prefence will apply for only data type float or Single. Datatype such as Numeric, having specifically specified fixed decimal point will not change due to this preference.
  • Date Display
    You can customize the view of date data type from available date display types, so that all dates will be displayed in this selected format.
  • Time Display
    You can customize the view of time data type from available time display types, so that all time data will be displayed in this selected format.

  • Searching Keywords

To search a particular string within a single table, you can use [image] "Find" and [image] Find Again" icons available in all at once record view or Single record view

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search can be case sensitive. "Field Begins with..." option searches specified string at the start of each field. You can search for numeric, string, date, time or any other type of field depending on its display format in record view.


FAQs

  • Frequently Asked Questions:

    1. What is Database Synchronization Profile?

"Database Synchronization Profile" is a link between your desktop database and handheld database. It manages, what database to keep in synchronization with handheld and when to synchronize.

    2. How do I keep Desktop database synchronized with Handheld device?
  • Start Desktop DBViewerPlus
  • Create a new profile
  • Select profile property as "Desktop to Handheld"
  • Synchronize
  • Use desktop or handheld database as usual
  • If you made modifications at handheld end and want to transfer it on desktop then, Open desktop Profile and set "Keep Sync" property to "Handheld to Desktop" and Synchronize
  • If you made modifications in desktop database and want to transfer it on handheld then, Open desktop Profile and set "Keep Sync" property to "Desktop To Handheld" and Synchronize
    3. How do I stop Desktop database & Handheld database synchronization?

From desktop DBViewerPlus, select a profile which you want to stop from synchronization, Open profile properties and select "Do not Sync" option for "Keep Sync" property.

    4. What is DSN/ODBC Database?

DSN or Data Source Name is a way of Database connectivity through ODBC. Database Viewer Plus allows you to connect to ODBC database using DSNs available on your machine. You can create/manage DSNs on your machine. For that, Click on Config button in Database Selection dialog or on your machine, click Start->[Settings]->Control Panel->[Administrative Tools]->Data Sources (ODBC)

    5. What are filters and How to Apply filters?

While creating Database Profile, you may want to transfer only selected record contents on handheld. Here, you can apply filters i.e. condition on record contents to transfer on to handheld. Open Apply Filters dialog, Check mark the filters for those you want. Select database field on which you want to apply filter, select appropriate filter operator and enter the filter condition value. You can apply one or more filters. To apply more than one filter, you must select joining in between two filters i.e. "AND" or "OR".
Remember, you must set proper filter value as per field selection. If you selected numeric field, say ID, then filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in #.
If you want, you can manually enter filter condition in SQL query instead of using "Apply Filters" dialog. In SQL query, at the end, put "Where filter conditions" by removing earlier condition, if any.

Here are some examples of filters.

name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

Note: Using # for filter conditions may change depending on which database you are using. MS Access, Excel allows to uses # where as Oracle, SQL Server allows to use single quote (') for date filter values.

SQL Query Example :
Where name='John' and birthdate > #1/1/1978# or EmpID > 15
For Oracle/SQL Server:
Where name='John' and birthdate > '1-jan-1978' or EmpID > 15

    6. How to Apply Sort Orders?

You may want handheld database contents in some particular order. Using Database Viewer Plus you can apply "Sort Orders" on record contents. Open "Sort Orders" dialog box, Select field on which to sort and select sort order either "Ascending" or "Descending". You can apply more than one sort orders at a time.

    7. What are ways to connect to Excel Database?

DBViewer Plus offers two ways to get connected with Excel Database using file browsing. When you browse a Excel file, DBViewer Plus will ask prompt with "Excel Connection" dialog, asking you to View as a "ODBC database" and view as a "Excel WorkSheet".
Using ODBC Excel connection, will allow you to work on user defined tables. Where as Using WorkSheet will allow you work on Entire WorkSheets available in Excel file.

    8. What is SQL Query?

SQL Query directs what contents from connected database to synchronize with handheld device. Using "Build Query" dialog user can select tables, fields, filters, sort orders which is summarized in terms of SQL query, which DBViewer Plus uses to fetch data. What ever changes you made on database, tables, fields, filters, sort orders etc, finally all these will get reflected in SQL query. So, if user has some SQL knowledge, he can directly modify SQL query to get expected data. Use can enter any valid SQL Select query, which may include table joining, filtering, sorting, grouping etc

    9. What are Sync Option?

Sync Options , means the way by which your database contents will transfer. Using "Desktop to Handheld" your desktop database contents will transfer to handheld Database while synchronizing. Using "Handheld to Desktop", handheld database contents will flow from Handheld to desktop. "Do not sync" will disable profile from transferring data. At any time, you can switch among these options. For "Handheld to Desktop" sync option will be allowed for those profiles which have selected only one table and all fields from that table.

    10. I deleted a profile from handheld, at synchronization it gives me error "could not open handheld database". What can I do?

Using desktop DBViewerPlus, set this profile to transfer data from "Desktop to Handheld". On next synchronization, this profile will get transferred on handheld.

    11. What is Profile Configuration?

Through Profile Configuration, you can view/manage existing profiles. Also you can set, how the profile will work? You can set User with whom Database will be synchronized. You can set occasion of Database Synchronization. Syncing Desktop Database contents with handheld at every device connection/synchronization may increase sync time and decrease speed. When you set sync occasion, then DBViewer Plus will sync database contents at the given sync occasion only.

About "Sync On" :
Using "Sync On" you can set the date/time when desktop database sync occurs.

      1. Every Time:

Will synchronize desktop database contents with handheld at every device connection/sync.

      2. Once Every Day:

Will synchronize desktop database contents on or after entered time once in a day. Once database get synchronized, it will not get synchronized again on that day.

      3. Once Weekly :

Will synchronize database once every week on specified "Day of Week" and on/after specified time on that day.

      4. Once Monthly :

Will synchronize database once every month on specified date of every month and on/after specified time on that day of month.

      5. Only Once:

Will transfer desktop database contents onto handheld only once after profile creation or first time after profile modification on desktop.

    12. What is difference between Excel WorkSheet & Excel ODBC Connection?

  • Excel ODBC Connection create a connection between Desktop Excel and handheld as a ODBC database. Here you can SQL queries to filter result. However, if excel contents doesn't fit in Database Table criteria in this case only those contents which are valid will get transferred on handheld and rest contents are ignored. In such case, while synching from Handheld to Desktop, you may lose some data.

  • Excel Worksheet connection allows user to transfer excel contents as is to handheld device. It will be treated as a text data. Each and every column is treated as text and not as corresponding data type such as date/time/number etc.

    13. I created a profile, and synchronized but it doesn't appear on my handheld, What should I do?

    While creating a profile please ensure that you created profile for the same user for which you are syncing. Ensure that you have installed Database Viewer plus handheld application. After creating profile, synchronize your device with desktop. Open handheld Database Viewer plus application, you will get profile name in available profile list.


Support

  • Supported Data Types

Currently Database Viewer Plus supports following data types.

  1. Memo, Char, VarChar, VarChar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. Hyperlink
  8. Currency

  • Buy Now

http://www.cellica.com/dbviewerPlus.htm

http://www.handango.com/PlatformProductDetail.jsp?productType=2&platformId=1&siteId=1&productId=91727

http://www.palmgear.com/index.cfm?fuseaction=software.showsoftware&prodID=52608

  • Contact US

You can refer to following email addresses to contact us:

  • Product support

    • support@cellica.com
  • General inquires

    • info@cellica.com
  • Sales inquiries

    • sales@cellica.com
  • Comments

    • webmasters@cellica.com
  • Consulting

    • consullting@cellica.com
  • Custom Software

    • customsoftware@cellica.com

  • About DBViewer Plus

http://www.cellica.com